FROM php:7.3-fpm

RUN apt-get update && apt-get install -y \
		libfreetype6-dev \
		libjpeg62-turbo-dev \
    libmcrypt-dev \
		libpng-dev \
		mysql-client \
    zip \
    libzip-dev && \
		# docker-php-ext-install -j$(nproc) iconv && \
		docker-php-ext-configure gd --with-freetype-dir=/usr/include/ --with-jpeg-dir=/usr/include/ && \
		apt-get install -y imagemagick libmagickwand-dev && \
    pecl install imagick && docker-php-ext-enable imagick && \
		docker-php-ext-install -j$(nproc) gd && \
		docker-php-ext-install pdo_mysql zip && \
		docker-php-ext-install opcache && \
		docker-php-ext-install bcmath && \
		apt-get install -y git vim && \
		pecl install redis-4.3.0 && \
    pecl install xdebug-2.7.0 && \
    docker-php-ext-enable redis xdebug

RUN export COMPOSER_HOME=/usr/local/composer && \
	    curl -sS https://getcomposer.org/installer \
				| php -- --install-dir=/usr/local/bin --filename=composer && \
			curl https://drupalconsole.com/installer \
				-L -o /usr/local/bin/drupal && \
			chmod +x /usr/local/bin/drupal && \
			curl https://github.com/drush-ops/drush-launcher/releases/download/0.6.0/drush.phar \
				-L -o /usr/local/bin/drush && \
			chmod +x /usr/local/bin/drush

# todo this is not building any more, do i really need this ? (22-10-2021)
# RUN apt-get install -y curl && \
# 		curl -sL https://deb.nodesource.com/setup_11.x | bash - && \
# 		curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add - && \
# 		echo "deb https://dl.yarnpkg.com/debian/ stable main" | tee /etc/apt/sources.list.d/yarn.list && \
#     apt-get update && \
# 		apt-get install -y nodejs yarn

RUN apt-get install -y rsyslog
COPY ./rsyslog-drupal.conf /etc/rsyslog.d/drupal.conf
# ENTRYPOINT ["sh", "-c", "service rsyslog start ; tail -f /dev/null"]

COPY ./php-custom.ini /usr/local/etc/php/conf.d/php-custom.ini
# COPY ./php-fpm-custom.conf /usr/local/etc/php-fpm.d/php-fpm-custom.conf

COPY ./bashrc /root/.bashrc
COPY ./inputrc /root/.inputrc
